## NAME

r.out.ppm - converts a GRASS raster file to a PPM image file at the pixel resolution of the CURRENTLY DEFINED REGION.

## Usage:

r.out.ppm [-qG] input=name output=name

## Flags:

-q Run quietly

-G Output greyscale instead of color

## Parameters:

input Raster file to be converted.

output Name for new PPM file. (use out=- for stdout)
default: <rasterfilename>.ppm

This program converts a GRASS raster file to a PPM image file at the pixel resolution of the CURRENTLY DEFINED REGION. e.g., to get the resolution of the raster map, do:

g.region rast=[mapname]

before running r.out.ppm.

The PPM file created is 24bit color, rawbits storage by default. Using -G, you may force r.out.ppm to use 8bit greyscale instead. The greyscale conversion uses the NTSC conversion:

Y = .30*Red + .59*Green + .11*Blue

One pixel is written for each cell value, so if ew_res and ns_res differ, the aspect ratio of the resulting image will be off.

## NOTE

A few ppm file comments are written - the name of the GRASS raster file, resolution, etc. Although these are perfectly legal, I've found one PD image utility that chokes on them, so if you need a commentless ppm file, use out=- > outfile.ppm. (When sending output to stdout, no comments are written.)

## TODO

Allow combination of 3 grass files to represent R, G, B components of ppm file?

Last changed: $Date: 2002/01/25 05:45:34 $